Package org.apache.xmlbeans.impl.schema

## Class SchemaTypeLoaderImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase
  - - org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl

- All Implemented Interfaces:
    `SchemaTypeLoader`

      public class SchemaTypeLoaderImpl
      extends SchemaTypeLoaderBase

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `METADATA_PACKAGE_LOAD` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SchemaTypeLoader` | `build​(SchemaTypeLoader[] searchPath, ResourceLoader resourceLoader, ClassLoader classLoader)` |
    `static SchemaTypeLoader` | `build​(SchemaTypeLoader[] searchPath, ResourceLoader resourceLoader, ClassLoader classLoader, String metadataPath)` | Initialize a SchemaTypeLoader via the given loaders and paths
    `SchemaAttributeGroup.Ref` | `findAttributeGroupRef​(QName name)` | Used for on-demand loading.
    `SchemaGlobalAttribute.Ref` | `findAttributeRef​(QName name)` | Used for on-demand loading.
    `SchemaType.Ref` | `findAttributeTypeRef​(QName name)` | Used for on-demand loading.
    `SchemaType.Ref` | `findDocumentTypeRef​(QName name)` | Used for on-demand loading.
    `SchemaGlobalElement.Ref` | `findElementRef​(QName name)` | Used for on-demand loading.
    `SchemaIdentityConstraint.Ref` | `findIdentityConstraintRef​(QName name)` | Used for on-demand loading.
    `SchemaModelGroup.Ref` | `findModelGroupRef​(QName name)` | Used for on-demand loading.
    `SchemaType.Ref` | `findTypeRef​(QName name)` | Used for on-demand loading.
    `static SchemaTypeLoaderImpl` | `getContextTypeLoader()` |
    `InputStream` | `getSourceAsStream​(String sourceName)` | Loads original XSD source as a stream.
    `boolean` | `isNamespaceDefined​(String namespace)` | True if the typeloader contains any definitions in the given namespace.
    `SchemaType` | `typeForClassname​(String classname)` | Finds a type for a given fully-qualified XML Bean classname
    `SchemaTypeSystem` | `typeSystemForName​(String name)` |

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase

      `compilePath, compilePath, compileQuery, compileQuery, findAttribute, findAttributeGroup, findAttributeType, findDocumentType, findElement, findModelGroup, findType, newDomImplementation, newInstance, newXmlSaxHandler, parse, parse, parse, parse, parse, parse, parse, typeForSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### METADATA_PACKAGE_LOAD

          public static String METADATA_PACKAGE_LOAD

  - ### Method Detail

    - #### getContextTypeLoader

          public static SchemaTypeLoaderImpl getContextTypeLoader()

    - #### build

          public static SchemaTypeLoader build​(SchemaTypeLoader[] searchPath,
                                               ResourceLoader resourceLoader,
                                               ClassLoader classLoader)

    - #### build

          public static SchemaTypeLoader build​(SchemaTypeLoader[] searchPath,
                                               ResourceLoader resourceLoader,
                                               ClassLoader classLoader,
                                               String metadataPath)

      Initialize a SchemaTypeLoader via the given loaders and paths
      Parameters:
        `searchPath` - the searchPath to use
        `resourceLoader` - the resourceLoader to use
        `classLoader` - the classLoader to use
        `metadataPath` - the custom metadata path
      Returns:
        the schemaTypeLoader
      Since:
        XmlBeans 3.1.0

    - #### typeSystemForName

          public SchemaTypeSystem typeSystemForName​(String name)

    - #### isNamespaceDefined

          public boolean isNamespaceDefined​(String namespace)

      Description copied from interface: `SchemaTypeLoader`
      True if the typeloader contains any definitions in the given namespace.

    - #### findTypeRef

          public SchemaType.Ref findTypeRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### typeForClassname

          public SchemaType typeForClassname​(String classname)

      Description copied from interface: `SchemaTypeLoader`
      Finds a type for a given fully-qualified XML Bean classname

    - #### findDocumentTypeRef

          public SchemaType.Ref findDocumentTypeRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### findAttributeTypeRef

          public SchemaType.Ref findAttributeTypeRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### findElementRef

          public SchemaGlobalElement.Ref findElementRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### findAttributeRef

          public SchemaGlobalAttribute.Ref findAttributeRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### findModelGroupRef

          public SchemaModelGroup.Ref findModelGroupRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### findAttributeGroupRef

          public SchemaAttributeGroup.Ref findAttributeGroupRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### findIdentityConstraintRef

          public SchemaIdentityConstraint.Ref findIdentityConstraintRef​(QName name)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.

    - #### getSourceAsStream

          public InputStream getSourceAsStream​(String sourceName)

      Description copied from interface: `SchemaTypeLoader`
      Loads original XSD source as a stream. See `SchemaComponent.getSourceName()`.